Package wx :: Package py :: Module crust :: Class Display

[frames | no frames]

## Type Display

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                StyledTextCtrl --+
                                 |
                        EditWindow --+
                                     |
                                    Display

STC used to display an object using Pretty Print.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, static)` Create Display instance.
| ``push`(self, command, more)` Receiver for Interpreter.push signal.
| `Refresh(self)`
| ``setItem`(self, item)` Set item to pretty print in the notebook Display tab.

Property Summary

Class Variable Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=138412032, static=False)
(Constructor)

Create Display instance.

  Overrides:
    `wx.py.editwindow.EditWindow.__init__`

### push(self, command, more)

Receiver for Interpreter.push signal.

### setItem(self, item)

Set item to pretty print in the notebook Display tab.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:29 2007 | http://epydoc.sf.net